Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
LatBuilder::Task::Search< LAT > Class Template Referenceabstract

Base class for search tasks. More...

`#include <Search.h>`

Inherits LatBuilder::Task::Task.

Inherited by LatBuilder::Task::Extend< LAT, COMPRESS, FIGURE >.

## Classes
class | MinObserver
| Observer of the MinElement functor. More...

## Public Types
typedef boost::signals2::signal< void(const Search &)> | OnLatticeSelected

## Public Member Functions
| Search (Dimension dimension)
| Search (Search &&other)
Dimension | dimension () const
| Returns the dimension.
const MeritFilterList< LAT > & | filters () const
| Returns the filters of merit transformations.
MeritFilterList< LAT > & | filters ()
| Returns the filters of merit transformations. More...
const LatDef< LAT > & | bestLattice () const
| Returns the best lattice found by the search task.
Real | bestMeritValue () const
| Returns the best merit value found by the search task.
const Functor::MinElement< Real > & | minElement () const
MinObserver & | minObserver ()
| Returns the minimum-element observer.
const MinObserver & | minObserver () const
OnLatticeSelected & | onLatticeSelected ()
| Lattice-selected signal. More...
const OnLatticeSelected & | onLatticeSelected () const
virtual const FigureOfMerit & | figureOfMerit () const =0
virtual void | execute ()=0
| Executes the search task. More...
virtual void | reset ()
| Initializes the best lattice and merit value.

## Protected Member Functions
virtual void | format (std::ostream &os) const
void | selectBestLattice (const LatDef< LAT > &lattice, Real merit)
| Selects a new best lattice and emits an OnLatticeSelected signal.

## Detailed Description

### template<LatType LAT>
class LatBuilder::Task::Search< LAT >

Base class for search tasks.

Template Parameters

  LAT | Type of lattice.

## Member Function Documentation

template<LatType LAT>

virtual void LatBuilder::Task::Search< LAT >::execute | ( |  | ) |
| pure virtual

Executes the search task.

The best lattice and merit value are set in the process.

Implements LatBuilder::Task::Task.

Implemented in LatBuilder::Task::Extend< LAT, COMPRESS, FIGURE >.

template<LatType LAT>

MeritFilterList<LAT>& LatBuilder::Task::Search< LAT >::filters | ( |  | ) |
| inline

Returns the filters of merit transformations.

template<LatType LAT>

OnLatticeSelected& LatBuilder::Task::Search< LAT >::onLatticeSelected | ( |  | ) |
| inline

Lattice-selected signal.

Emitted when a lattice has been selected by the search algorithm.

Referenced by LatBuilder::Task::Search< LAT >::selectBestLattice().

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/Task/Search.h